For the complete documentation index, see llms.txt. This page is also available as Markdown.

Extract Document Data Web

This service returns all the data extracted from an identification document by applying OCR to the MRZ code, PDF, barcode, and visible fields in other areas of the document according to the model defined for each country. For passports, OCR is applied exclusively to the MRZ code due to its standardized format.

Integration

This service is used for implementations of the SelphID Web widget or for sending open images from any platform. When using the SelphID Web widget, the images generated by the widget are obtained from an array of images.

Endpoint

POST /services/extractDocumentDataWeb

Headers

Name
Type
Required
Description

x-api-key

string

Yes

Access authorization API key.

family

string

No

Value: Onboarding. Required with the tracking service.

All calls to the Endpoints for Tracking with Identity Platform must contain the header family.

Request body

Content-Type: application/json

Parameters

Parameter
Type
Required
Description

tokenFrontDocument

string

Yes

Image encoded in Base64 from the front side of the document, removing the MIME type header.

tokenBackDocument

string

No

Image encoded in Base64 from the back side of the document, removing the MIME type header.

countryCode

string

Yes

Country code in the format ISO 3166-1 alpha-3. If it is not present in the request body, the service will use the default country defined for the client in the API settings. For passports, only is required tokenFrontDocument with countryCode set in "PSP".

decompose

boolean

No

Indicates whether to obtain the face image present in the document and the signature crop. (*) Check with the Latam Support team for enabled countries.

tracking

object

No

Object that represents the necessary tracking information.

tracking.extraData

string

No

Token generated by the Mobile/Web SDK. Contains tokenized tracking information with the Platform.

tracking.operationId

string

No

Operation identifier generated by the Mobile/Web SDK.

Request example

Responses

200 Success

Response parameters

Parameter
Type
Description

serviceResultCode

integer

Code indicating the overall result of service execution. See Service Result Code

serviceResultLog

string

Descriptive field of the result of the service execution. Module details are included in case of error or exception.

serviceTime

string

Total service execution time (milliseconds).

serviceDocument

string

Object representing the captured document. Its properties are all fields extracted by the OCR process, including the face image present in the document.

serviceTransactionId

string

Transaction identifier associated with the request processed by the API.

Service Result Code

The serviceResultCode indicates the overall result of the service execution:

serviceResultCode
Description
HTTP code

0

The service execution was successful, the module processed the request correctly.

200

Response example

400 Bad Request

401 Unauthorized

403 Forbidden

502 Bad Gateway

504 Gateway Timeout

Last updated